<?php

// Test case for the buildHiddenInputs function
$data = array('item1' => 'value1',
              'item2' => 'value2',
              'item3' => array('item31' => 'value31',
                               'item32' => 'value32',
                               'item33' => array('item331' => 436,
                                                 'item332' => true
                                                 ),
                               ),
              'item4' => 99
              );
              
$output = array_to_file($data, 'my_array', 'foo');
print htmlspecialchars($output);

/**
 * Write an array to a file.  Of course it could just be serialised, but this
 * way you can edit the array by hand if you want to.  Ideal for making 
 * configuration files!
 * 
 * @param array $array The array to be written to the file
 * @param string $array_name Name to be give to the array
 * @param string $file File to write to
 * @return none
 */
function array_to_file($array, $array_name, $file = ''){
    $output = array();
	foreach($array as $key => $val){
        if(is_array($val)){
        	$output[$key] = array_to_file($array[$key], $array_name . "['" . $key . "']");
        } else {
            $output[$key] = '$' . $array_name . "['$key'] = ";
            if (is_string($val)) {
                $output[$key] .= "\"" . str_replace("\n", '\n', addslashes($val)) . "\";";
            } elseif(is_bool($val)) {
                switch($val){
                	case 1: 
                		$val = 'true';
                		break;
                	default:
                		$val = 'false';
                } // switch
                $output[$key] .= $val . ';';
            } else {
                $output[$key] .= $val . ';';
            }
        }
	}
    if('' != $file){
        write_to_file(implode("\n", $output), $file);
        return true;
    }
    return implode("\n", $output);
}

?>