<?php

// Test case for the buildHiddenInputs function
$data = array('item1' => 'value1',
              'item2' => 'value2',
              'item3' => array('item31' => 'value31',
                               'item32' => 'value32',
                               'item33' => array('item331' => 436,
                                                 'item332' => true
                                                 ),
                               ),
              'item4' => 99
              );
              
$output = buildHiddenInputs($data);
print htmlspecialchars($output);

/**
 * Build the HTML required for the hidden inputs in the forms
 * 
 * @param array $items Array of name/value pairs
 * @return string $html HTML code
 */
function buildHiddenInputs($items, $padding = '', $basename = '')
{
    // Get rid of any items from the input array that aren't allowed
    #$items = array_intersect($items, $GLOBALS['allowed_inputs']);
    foreach($items as $key => $val){
        if ($basename != '') {
            $key = $basename . '[' . $key . ']';
        }
		if (is_array($val)) {
		    $html .= buildHiddenInputs($val, $padding, $key);
		} else {
            if ($val != '') {
                $html .= $padding . '<input type="hidden" name="' . $key . '" value="' . addslashes($val) . "\" />\n";
            }
		}
    }
    return $html;
}

?>