<?php

// Test case for the buildHiddenInputs function
$data = array('item1' => 'value1',
              'item2' => 'value2',
              'item3' => array('item31' => 'value31',
                               'item32' => 'value32'
                               ),
              'item4' => 'value4'
              );
              
$output = prevent_xss($data);
print('<pre>');
print_r($output);

/**
 * Build the HTML required for the hidden inputs in the forms
 * 
 * @param array $items Array of name/value pairs
 * @return string $html HTML code
 */
function prevent_xss($str)
{
    if (is_array($str)) {
        foreach($str as $key => $value){
        	$str[$key] = prevent_xss($value);
        }
    } else {
        $str = preg_replace('!<script([^>]*)>!si', '&lt;script$1&gt;', $str);
        $str = str_replace('</script>', '&lt;/script&gt;', $str);
        $str = preg_replace('!(\S+)script\s*:!si', '$1scriipt:', $str);
        $str = preg_replace('!\bon[a-zA-Z]*=!si', 'oFFDoNastyThing=', $str);
    }
    return $str;
}

?>